aboutsummaryrefslogtreecommitdiffstats
path: root/qte-fonts-common
diff options
context:
space:
mode:
authorMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
committerMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
commitbd068236207dee9373f5d559c88325de3446d53b (patch)
treebea490798b7aec80d96272f621898b8cb8c82efe /qte-fonts-common
parent96379cf2ff7c66a2ab2f1e57e17c88b9860e5c75 (diff)
downloadopenembedded-bd068236207dee9373f5d559c88325de3446d53b.tar.gz
Merge bk://openembedded@openembedded.bkbits.net/packages
into mhcln01.hentges.local:/home/mhentges/OpenEmbedded/packages 2004/10/11 18:35:17+02:00 local!CoreDump The mother of all section fixes! Gives a SECTION entry to (almost) all packages which were missing it (and thus were having a section of *base*). I have placed all packages unknown to me into the *unknown* section (and yes, i *am* to lazy to look them up), please fix. BKrev: 416ab6716BWMm_ae6D2MValq-LDFzw
Diffstat (limited to 'qte-fonts-common')
-rw-r--r--qte-fonts-common/qte-fonts-common_3.2.1.oe157
1 files changed, 157 insertions, 0 deletions
diff --git a/qte-fonts-common/qte-fonts-common_3.2.1.oe b/qte-fonts-common/qte-fonts-common_3.2.1.oe
index e69de29bb2..fb406b5f38 100644
--- a/qte-fonts-common/qte-fonts-common_3.2.1.oe
+++ b/qte-fonts-common/qte-fonts-common_3.2.1.oe
@@ -0,0 +1,157 @@
+SECTION = "opie/base"
+DESCRIPTION= "Tools to update the Qt fontdir"
+MAINTAINER = "M&N Solutions <info@mn-solutions.de>"
+LICENSE = "GPL/QPL"
+PACKAGE_ARCH = "all"
+PR = "r1"
+
+SRC_URI = "ftp://ftp.trolltech.com/pub/qt/source/qt-embedded-free-${PV}.tar.bz2"
+SRC_URI += "file://update-qtfontdir"
+S = "${WORKDIR}/qt-embedded-free-${PV}"
+
+do_compile() {
+}
+
+do_install() {
+ mkdir -p ${D}/${sbindir}
+ install -m 755 ${WORKDIR}/update-qtfontdir ${D}/${sbindir}
+ mkdir -p ${D}${palmtopdir}/lib/fonts
+ cp -a lib/fonts/* ${D}${palmtopdir}/lib/fonts
+ # Delete all other font formats, Qt/E would have a dead slow
+ # application start time if it had to use any other font format
+ # as *.qpf ...
+ find ${D}${palmtopdir}/lib/fonts \
+ -name "*.bdf" \
+ -o -name "*.ttf" \
+ -o -name "*.pfa" \
+ -o -name "*.pfb" | xargs rm
+}
+
+PACKAGES = "qte-fonts-common"
+FILES_${PN} = "${sbindir}"
+
+
+PACKAGES += "qte-font-fixed"
+PROVIDES += "qte-font-fixed"
+FILES_qte-font-fixed = "${palmtopdir}/lib/fonts/fixed*"
+RDEPENDS_qte-font-fixed = "qte-fonts-common"
+pkg_postinst_qte-font-fixed() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-helvetica-small"
+PROVIDES += "qte-font-helvetica-small"
+FILES_qte-font-helvetica-small = "${palmtopdir}/lib/fonts/helvetica_80*.qpf \
+ ${palmtopdir}/lib/fonts/helvetica_100*.qpf ${palmtopdir}/lib/fonts/helvetica_120*.qpf"
+RDEPENDS_qte-font-helvetica-small = "qte-fonts-common"
+pkg_postinst_qte-font-helvetica-small() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-helvetica-large"
+PROVIDES += "qte-font-helvetica-large"
+FILES_qte-font-helvetica-large = "${palmtopdir}/lib/fonts/helvetica_140*.qpf \
+ ${palmtopdir}/lib/fonts/helvetica_180*.qpf ${palmtopdir}/lib/fonts/helvetica_240*.qpf"
+RDEPENDS_qte-font-helvetica-large = "qte-fonts-common"
+pkg_postinst_qte-font-helvetica-large() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-smoothtimes"
+PROVIDES += "qte-font-smoothtimes"
+FILES_qte-font-smoothtimes = "${palmtopdir}/lib/fonts/smoothtimes*"
+RDEPENDS_qte-font-smoothtimes = "qte-fonts-common"
+pkg_postinst_qte-font-smoothtimes() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-smallsmooth"
+PROVIDES += "qte-font-smallsmooth"
+FILES_qte-font-smallsmooth = "${palmtopdir}/lib/fonts/smallsmooth*"
+RDEPENDS_qte-smallsmooth = "qte-fonts-common"
+pkg_postinst_qte-font-smallsmooth() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-unicode"
+PROVIDES += "qte-font-unicode"
+FILES_qte-font-unicode = "${palmtopdir}/lib/fonts/unifont*.qpf"
+RDEPENDS_qte-font-unicode = "qte-fonts-common"
+pkg_postinst_qte-font-unicode() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+PACKAGES += "qte-font-micro"
+PROVIDES += "qte-font-micro"
+FILES_qte-font-micro = "${palmtopdir}/lib/fonts/micro*.qpf"
+#RDEPENDS_qte-font-micro = "qte-fonts-common"
+pkg_postinst_qte-font-micro() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir
+}
+
+# Not in the QtE/3 tar file:
+#PACKAGES += "qte-font-lcd"
+#PROVIDES += "qte-font-lcd"
+#RDEPENDS_qte-font-lcd = "qte-fonts-common"
+#FILES_qte-font-lcd = "${palmtopdir}/lib/fonts/lcd*"
+#pkg_postinst_qte-font-lcd () {
+##!/bin/sh
+#if [ -n "$D" ]; then exit 1; fi
+#set -e
+#. /etc/profile
+#${sbindir}/update-qtfontdir
+#}
+
+# Not in the QtE/3 tar file:
+#PACKAGES += "qte-font-japanese"
+#PROVIDES += "qte-font-japanese"
+#FILES_qte-font-japanese = "${palmtopdir}/lib/fonts/japanese*"
+#RDEPENDS_qte-font-japanese = "qte-fonts-common"
+#pkg_postinst_qte-font-japanese() {
+##!/bin/sh
+#if [ -n "$D" ]; then exit 1; fi
+#set -e
+#. /etc/profile
+#${sbindir}/update-qtfontdir
+#}
+
+# Not in the QtE/3 tar file:
+#PACKAGES += "qte-font-courier"
+#PROVIDES += "qte-font-courier"
+#FILES_qte-font-courier = "${palmtopdir}/lib/fonts/cour*"
+#RDEPENDS_qte-font-courier = "qte-fonts-common"
+#pkg_postinst_qte-font-courier() {
+##!/bin/sh
+#if [ -n "$D" ]; then exit 1; fi
+#set -e
+#. /etc/profile
+#${sbindir}/update-qtfontdir
+#}